package com.dzeio.openhealth.ui.tests

import android.annotation.SuppressLint
import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseFragment
import com.dzeio.openhealth.databinding.FragmentTestsBinding
import com.dzeio.openhealth.utils.Bluetooth
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class TestsFragment :
    BaseFragment<TestsViewModel, FragmentTestsBinding>(TestsViewModel::class.java) {

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> FragmentTestsBinding
        get() = FragmentTestsBinding::inflate

    @SuppressLint("MissingPermission")
    override fun onStart() {
        super.onStart()

        // Bindings
        binding.button.setOnClickListener {
            Bluetooth(requireContext()).apply {
//                scanDevices(cb)

//                val device = DeviceMiSmartScale2(requireContext())
//
//                device.status.addObserver {
//                    Log.d("Device", "New device status $it")
//
//                    if (it == Device.ConnectionStatus.CONNECTED) {
//                        device.fetchWeights().addObserver {
//                            Log.i(
//                                "FetchStatus",
//                                "${(it.progress.toFloat() / it.progressMax.toFloat() * 100f).roundToInt()}% ${it.progress}/${it.progressMax}"
//                            )
//                        }
//                    }
//                }
//
//                device.connect()
            }
        }
    }
}
